/*
// Created by Tiny on 3/3/2021.
*/

/*!
 * \file GAME.c
 * \brief Game Source File
 * \authors Tin
 * \version 1
 * \date 03/03/2021
 *
 * Explanation.
 *
 */

#include <stdio.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include "GAME.h"
#include "prof.h"
#include "personnage.h"
#include "map.h"
#include "DS.h"

/*!
 * \def WINDOW_WIDTH
 * \brief The window's width.
 */
#define WINDOW_WIDTH 700
/*!
 * \def WINDOW_HEIGHT
 * \brief The window's height.
 */
#define WINDOW_HEIGHT 700


/*!
 * \fn test_point_with_map(int x, int y, MAP *map, DS * exam)
 * \brief This function tests if one of the character's corner is in collision with an exam, a wall or neither.
 *
 * \param [in] x one of the character's abscissa (one of the 4 corners)
 * \param [in] y the ordinate corresponding to the same corner
 * \param [in] map a pointer on the map
 * \param [in] exam a pointer on the exam
 * \return 2 if theres is a collision with an exam, 1 with a wall, 0 otherwise.
 */

//map test point function
int test_point_with_map(int x, int y, MAP *map, DS * exam){
	if (map->functional[y][x] == 2){         //if zone exams
        //test exam collision
        if ((x > exam->x_DS) && (x < exam->x_DS+exam->larg_DS)) {
                if(((y > exam->y_DS) && (y < exam->y_DS+exam->long_DS))){
            return 2;
				}
        }
    }
    else if (map->functional[y][x] == 1){         //if zone wall
        return 1;
    }
	return 0;
}